Package ru.bitel.bgbilling.modules.gazprombank.server.event

# Class GazprombankCheckEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.gazprombank.server.event.GazprombankCheckEvent

All Implemented Interfaces:
  `Serializable`

public class GazprombankCheckEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `GazprombankCheckEvent()`
  ``
  `GazprombankCheckEvent(int moduleId, int transactionId)`
  ``
  `GazprombankCheckEvent(int moduleId, int contractId, boolean autopaymentTransaction)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getTransactionId()`
  `boolean`
  `isAutopaymentTransaction()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GazprombankCheckEvent

    protected GazprombankCheckEvent()

  - ### GazprombankCheckEvent

    public GazprombankCheckEvent(int moduleId, int transactionId)

  - ### GazprombankCheckEvent

    public GazprombankCheckEvent(int moduleId, int contractId, boolean autopaymentTransaction)

- ## Method Details

  - ### isAutopaymentTransaction

    public boolean isAutopaymentTransaction()

  - ### getTransactionId

    public int getTransactionId()